> For the complete documentation index, see [llms.txt](https://developer.unstack.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.unstack.com/docs/tags/plaintext.md).

# Plaintext

The PlainText tag allows you to create a simple text entry input in the editor, which can also be associated with a given HTML tag, without giving your users full richtext capabilities.

```jsx
<PlainText dataRef={content.text} tagName="p" />
```

## Attributes

* **dataRef**: DataLocator - the data-element storing the Plaintext tag's configuration
* **tagName**: string - a hard-coded tag name for the rendered element
* **className**: string (optional) - a hard-coded class name to add to the rendered element
* **maxWords**: number (optional) - the maximum number of words allowed in this field
* **placeholder**: string (optional) - placeholder text to display in the editor when empty
* **renderEmptyElement**: string (optional) - when set to True, will render the tag in tagName when there is no content defined by the author (Default: False)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.unstack.com/docs/tags/plaintext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
